# Uses of Interface
org.opensaml.saml.saml2.core.Extensions

Packages that use Extensions
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of Extensions in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return Extensions
Modifier and Type
Method
Description
`Extensions`
RequestAbstractType.`getExtensions()`
Gets the Extensions of this request.
`Extensions`
StatusResponseType.`getExtensions()`
Gets the Extensions of this response.
Methods in org.opensaml.saml.saml2.core with parameters of type Extensions
Modifier and Type
Method
Description
`void`
RequestAbstractType.`setExtensions(Extensions newExtensions)`
Sets the Extensions of this request.
`void`
StatusResponseType.`setExtensions(Extensions newExtensions)`
Sets the Extensions of this response.

## Uses of Extensions in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Extensions
Modifier and Type
Class
Description
`class`
`ExtensionsImpl`
Implementation of `Extensions`.
Fields in org.opensaml.saml.saml2.core.impl declared as Extensions
Modifier and Type
Field
Description
`private Extensions`
RequestAbstractTypeImpl.`extensions`
Extensions child element.
`private Extensions`
StatusResponseTypeImpl.`extensions`
Extensions child element.
Methods in org.opensaml.saml.saml2.core.impl that return Extensions
Modifier and Type
Method
Description
`Extensions`
ExtensionsBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Extensions`
ExtensionsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Extensions`
RequestAbstractTypeImpl.`getExtensions()`
Gets the Extensions of this request.
`Extensions`
StatusResponseTypeImpl.`getExtensions()`
Gets the Extensions of this response.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type Extensions
Modifier and Type
Method
Description
`void`
RequestAbstractTypeImpl.`setExtensions(Extensions newExtensions)`
Sets the Extensions of this request.
`void`
StatusResponseTypeImpl.`setExtensions(Extensions newExtensions)`
Sets the Extensions of this response.